/*
 * AccessorRuntimeException.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.exception;

/**
 * アクセッサに関する例外の基底クラス。
 * @author Naoko Sugimoto
 */
public class AccessorRuntimeException extends CB3RuntimeException {

	/**
	 * シリアルバージョンUID
	 */
	private static final long serialVersionUID = 2053145005312280726L;

	/**
	 * コンストラクタ。
	 * @param cause 発生元の例外
	 */
	public AccessorRuntimeException(Exception cause) {
		super(cause);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 */
	public AccessorRuntimeException(String msg) {
		super(msg);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 * @param cause 発生元の例外
	 */
	public AccessorRuntimeException(String msg, Exception cause) {
		super(msg, cause);
	}
}
